+ Post New Thread
Page 101 of 617 FirstFirst ... 51 91 99 100 101 102 103 111 151 201 601 ... LastLast
Threads 2501 to 2525 of 15424

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 67,093
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 64,832
    18th Sep 2006 10:46 pm Go to last post
  1. Drawing TEXT issue

    hello all, :) i am new here and wanting some help if anyone has had this issue or something similar. so i have quite amount of drawings that i need to change all the single text in the...

    Started by paloma42‎, 9th Aug 2015 05:29 am
    • Replies: 7
    • Views: 2,175
    10th Aug 2015 11:13 am Go to last post
  2. Helix Along a Path

    The code is not so nice but, for my use, it seems to work. Ciao

    Started by GP_‎, 5th Oct 2014 07:15 pm
    • Replies: 9
    • Views: 3,967
    10th Aug 2015 10:58 am Go to last post
  3. Question Move all objects within a layer to specific layer

    I have this lisp (I cannot remember the coder!) which is moving all objects within a layer to destination layer by selection on drawing, then change property and merge empty layers. It is working...

    Started by pavilon‎, 8th Aug 2015 04:03 pm
    • Replies: 7
    • Views: 1,788
    10th Aug 2015 05:26 am Go to last post
  4. Question Lisp to change properties of entire layers exception of item(s)

    I've searched through few forums and on-line tutorial to find my answer but could not find any solution. I am looking for a lisp routine to change properties of all layers in a drawing except...

    Started by pavilon‎, 7th Aug 2015 05:01 pm
    chprop with an exception
    • Replies: 4
    • Views: 1,682
    9th Aug 2015 07:17 am Go to last post
  5. How to install or appload .vlx files

    :( How to install or appload .vlx files & how to uninstall too?

    Started by The Courage Dog‎, 8th Jul 2008 09:41 am
    • Replies: 5
    • Views: 40,589
    9th Aug 2015 12:28 am Go to last post
  6. RlxCloud

    This is not my latest version and I'm not sure it will function because some parts may be integrated with some of my other appie's but here is my cloud version You have the following options...

    Started by rlx‎, 7th Aug 2015 10:27 pm
    • Replies: 5
    • Views: 1,767
    8th Aug 2015 03:16 pm Go to last post
  7. Access To Dynamic Block Parameters

    From this thread : http://www.cadtutor.net/forum/showthread.php?93337-HELP-Stretching-and-Shrinking-problem&p=639271#post639271 Just out of curiosity, can dynamic block parameter values easily...

    Started by David Bethel‎, 8th Aug 2015 02:13 pm
    • Replies: 3
    • Views: 759
    8th Aug 2015 03:05 pm Go to last post
  8. Cool Maybe I'm missing something here...

    I've had this code for years now, and for some reason it's like as if it's got an extra return in it. (DEFUN C:FF () (COMMAND "FILLET" "R" "0") (PRINC)) Now I've never used it on 2016,...

    Started by jcb56‎, 7th Aug 2015 10:27 pm
    • Replies: 7
    • Views: 1,504
    8th Aug 2015 10:23 am Go to last post
  9. (If X (p)

    How do I make ...code... perform if X = p Like this but with it working... (If X (p)) (...code...)

    Started by mbrandt5‎, 7th Aug 2015 04:43 pm
    • Replies: 5
    • Views: 875
    8th Aug 2015 05:32 am Go to last post
  10. Question entmake Donut

    Hi all, Could you please help me with making a donut in block, i'm not familiar with autolisp syntax... The block contains only a donut and centre at (0,0) the Donut is yellow, inner radius is...

    Started by jasonle215‎, 6th Aug 2015 05:39 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 3,575
    7th Aug 2015 09:03 pm Go to last post
  11. RLDraw - another example for an interactive slide program

    See my explanation for RlxIso for the generals. This example I actually made before RlxIso , this because our 'administrator' stupid pull down's started to anoy me. Mostly at monday morning when my...

    Started by rlx‎, 7th Aug 2015 01:47 pm
    • Replies: 3
    • Views: 1,323
    7th Aug 2015 06:58 pm Go to last post
  12. Multiple Selection Sets To One Line Lisp

    Does anyone know of a lisp in which I can make multiple selection sets line up with a line? For example you could select a number of groups and assign corresponding points with the groups the...

    Started by mbrandt5‎, 28th Jul 2015 07:18 pm
    • Replies: 8
    • Views: 2,440
    7th Aug 2015 04:15 pm Go to last post
  13. Block Attributes

    Is there a way of editing an attribute of a block so it will add a constant number (say 5) to all values in the block across the drawing. e.g. Assume 'A 125' and 'A 126' are blocks, can I edit the...

    Started by Ark Angel‎, 4th Aug 2015 12:46 pm
    3 Pages
    1 2 3
    • Replies: 21
    • Views: 3,796
    7th Aug 2015 01:08 pm Go to last post
  14. Help !!!!! ~ autolisp routine :(

    Guys , i really need help really appreciate who can make that task plizzz !

    Started by aswad‎, 5th Aug 2015 11:05 am
    • Replies: 1
    • Views: 833
    6th Aug 2015 04:13 am Go to last post
  15. Command Replace

    Hello friends. Double-click on the attribute block. default use "eattedit" edit. I want Double-click on the attribute block with command "attedit " . Can do ? How use this reactor ? (or...

    Started by DuanJinHui‎, 5th Aug 2015 09:13 am
    • Replies: 4
    • Views: 1,698
    5th Aug 2015 10:52 am Go to last post
  16. how can i tell if 3 points form a corner?

    hi how can i tell if 3 points form a corner? what about giving it some tolerance? lets say its still a corner if it didn't exceed 80-100 degrees range? Thanks Shay

    Started by samifox‎, 4th Aug 2015 09:08 pm
    • Replies: 7
    • Views: 1,846
    5th Aug 2015 09:52 am Go to last post
  17. Reactor Issue

    Hi, I am using a modiffied version of the autosave reactor posted by Lee Mac here The reactor is invoked via the acaddoc.lsp file. Everything is working fine with one exception. Apparently...

    Started by PDuMont‎, 4th Aug 2015 11:51 am
    2 Pages
    1 2
    • Replies: 13
    • Views: 2,949
    4th Aug 2015 07:53 pm Go to last post
  18. create blocks and place them evenly.

    Hi guys, I'm using autocad 2010 and I'm new to autolisp. I hope you guys could help me with this problem (image below) I'm still learning autolisp and I dont know how to create blocks or...

    Started by jasonle215‎, 2nd Aug 2015 10:41 am
    • Replies: 5
    • Views: 1,625
    4th Aug 2015 04:10 am Go to last post
  19. LISP Editing Help

    Hi All, I'm hoping to get some help in editing a LISP routine please. I have a LISP created by Charles Darling http://www.gilesdarling.me.uk/lisproutines.shtml which i'm hoping to get some...

    Started by rikiki‎, 3rd Aug 2015 04:14 pm
    • Replies: 3
    • Views: 1,199
    4th Aug 2015 04:08 am Go to last post
  20. Inserting a block issue

    I know this is something easy but can't figure it out. When I use my lisp in AutoCAD 2011 at home and it inserts the block it lets me change the value(text) to what I want. That same lisp when I...

    Started by j_spawn_h‎, 3rd Aug 2015 08:53 pm
    • Replies: 1
    • Views: 605
    3rd Aug 2015 08:58 pm Go to last post
  21. HELP: Change only the colour of numbers in an mtext

    I have a bunch of mtext that has a mixture of letters & numbers. I need to change the colours of only the numbers example: "ROOM 15" >>>>> "ROOM 15" Currently i have to double click...

    Started by vernonlee‎, 29th May 2015 06:35 am
    2 Pages
    1 2
    • Replies: 19
    • Views: 5,397
    3rd Aug 2015 01:22 am Go to last post
  22. the best way to insert block

    hello what is the best way to insert block with attribute already exist in search path with option to pick rotation i use this one but cant put bolck to layer (command "insert" "blkname.dwg"...

    Started by motee-z‎, 1st Aug 2015 11:12 am
    • Replies: 9
    • Views: 2,298
    2nd Aug 2015 02:42 pm Go to last post
  23. Use Area in an equation for block, lisp, or macro

    I use the are of different floors of a building to determine accessory quantities for concrete placing. I calculate using: ((sqrt(area))-4')/4'*sqrt(area). this lets me know linear feet of material...

    Started by Scott B‎, 31st Jul 2015 04:28 pm
    • Replies: 9
    • Views: 1,991
    2nd Aug 2015 02:07 am Go to last post
  24. Question Need help detecting error in LISP

    Hi there, I am a bit lost with my current LISP project. With this program, I determine the angle of a line and compare this to a list. If this angle is present in this list, then it should...

    Started by ottooo‎, 31st Jul 2015 02:33 pm
    • Replies: 6
    • Views: 1,323
    2nd Aug 2015 01:59 am Go to last post
  25. LISP Routine Help

    We design overhead power lines and part of our daily routine is to draw miles and miles of pole blocks connected by separate polylines. We currently run a LISP routine to automatically place the pole...

    Started by tjjackson‎, 28th Jul 2015 04:10 pm
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 3,508
    31st Jul 2015 04:04 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts